aboutsummaryrefslogtreecommitdiffstats
path: root/modules
diff options
context:
space:
mode:
Diffstat (limited to 'modules')
-rw-r--r--modules/buildsystem/manifests/init.pp11
-rwxr-xr-xmodules/buildsystem/templates/iurt2010.17
2 files changed, 18 insertions, 0 deletions
diff --git a/modules/buildsystem/manifests/init.pp b/modules/buildsystem/manifests/init.pp
index 763e5842..bfa73098 100644
--- a/modules/buildsystem/manifests/init.pp
+++ b/modules/buildsystem/manifests/init.pp
@@ -382,4 +382,15 @@ class buildsystem {
minute => "*/15",
}
}
+
+ class iurt20101 {
+ include iurt
+ file { "/usr/local/bin/iurt2010.1":
+ ensure => present,
+ owner => root,
+ group => root,
+ mode => 755,
+ source => template("buildsystem/iurt2010.1"),
+ }
+ }
}
diff --git a/modules/buildsystem/templates/iurt2010.1 b/modules/buildsystem/templates/iurt2010.1
new file mode 100755
index 00000000..4de46c9c
--- /dev/null
+++ b/modules/buildsystem/templates/iurt2010.1
@@ -0,0 +1,7 @@
+#!/bin/sh
+if [ `id -u` -ne 0 ]
+then
+ echo 'this script should be run as root' >&2
+ exit 1
+fi
+su - <%= build_login %> -c "iurt --no-rsync -r mandriva2010.1 x86_64 $@"